## hdf5-blosc 0.0~git20220616.9683f7d

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.10)
cmake_policy(SET CMP0074 NEW)
project(blosc_hdf5)
include(ExternalProject)

# options
option(BUILD_TESTS
    "Build test programs form the blosc filter" ON)

option(BUILD_PLUGIN
    "Build dynamically loadable plugin for HDF5 version > 1.8.11" ON)
if(BUILD_PLUGIN)
    set(PLUGIN_INSTALL_PATH "/usr/local/hdf5/lib/plugin" CACHE PATH
      "Where to install the dynamic HDF5-plugin")
endif(BUILD_PLUGIN)

set(BLOSC_PREFIX "${CMAKE_CURRENT_BINARY_DIR}/blosc")
set(BLOSC_INSTALL_DIR "${CMAKE_CURRENT_BINARY_DIR}/blosc")
set(BLOSC_CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${BLOSC_INSTALL_DIR})

message("BLOSC_PREFIX='${BLOSC_PREFIX}'")
message("BLOSC_INSTALL_DIR='${BLOSC_INSTALL_DIR}'")
message("BLOSC_CMAKE_ARGS='${BLOSC_CMAKE_ARGS}'")
message("GIT_EXECUTABLE='${GIT_EXECUTABLE}'")

ExternalProject_Add(project_blosc
  PREFIX ${BLOSC_PREFIX}
  GIT_REPOSITORY https://github.com/Blosc/c-blosc.git
  GIT_TAG main
  INSTALL_DIR ${BLOSC_INSTALL_DIR}
  CMAKE_ARGS ${BLOSC_CMAKE_ARGS}
)


# sources
set(SOURCES src/blosc_filter.c)
set(PLUGIN_SOURCES src/blosc_filter.c src/blosc_plugin.c )

# dependencies
if(MSVC)
    # FindHDF5.cmake does not find Windows installations. Try to
    # use an environment variable instead until the official "find"
    # file can be updated for Windows.
    #
    # Note that you have to set this environment variable by hand.
    file(TO_CMAKE_PATH "$ENV{HDF5_DIR}" HDF5_HINT)
    set(HDF5_DIR ${HDF5_HINT} CACHE STRING "Path to HDF5 CMake config directory.")
    find_package(HDF5 REQUIRED HINTS ${HDF5_DIR})
else(MSVC)
    find_package(HDF5 REQUIRED)
endif(MSVC)
include_directories(${HDF5_INCLUDE_DIRS})


# add blosc libraries
add_library(blosc_shared SHARED IMPORTED)
set_property(TARGET blosc_shared PROPERTY IMPORTED_LOCATION ${BLOSC_INSTALL_DIR}/lib/${CMAKE_SHARED_LIBRARY_PREFIX}blosc${CMAKE_SHARED_LIBRARY_SUFFIX})
add_dependencies(blosc_shared project_blosc)
include_directories(${BLOSC_INSTALL_DIR}/include)

add_library(blosc_filter_shared SHARED ${SOURCES})
set_target_properties(
  blosc_filter_shared PROPERTIES OUTPUT_NAME blosc_filter)
target_link_libraries(blosc_filter_shared blosc_shared ${HDF5_LIBRARIES})

if(BUILD_PLUGIN)
    add_library(blosc_plugin_shared SHARED ${PLUGIN_SOURCES})
    set_target_properties(
      blosc_plugin_shared PROPERTIES OUTPUT_NAME H5Zblosc)
    target_link_libraries(blosc_plugin_shared blosc_shared ${HDF5_LIBRARIES})

    install(TARGETS blosc_plugin_shared DESTINATION ${PLUGIN_INSTALL_PATH} COMPONENT HDF5_FILTER_DEV)
endif(BUILD_PLUGIN)

# install
install(FILES src/blosc_filter.h DESTINATION include COMPONENT HDF5_FILTER_DEV)
install(TARGETS blosc_filter_shared DESTINATION lib COMPONENT HDF5_FILTER_DEV)


# test
message("LINK LIBRARIES='blosc_filter_shared ${HDF5_LIBRARIES}'")
if(BUILD_TESTS)
    enable_testing()
    set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
    find_package(Threads REQUIRED)
    set(LIBS ${LIBS} ${CMAKE_THREAD_LIBS_INIT})
    add_executable(example src/example.c)
    target_link_libraries(example blosc_filter_shared ${HDF5_LIBRARIES} ${LIBS})
    add_test(test_hdf5_filter example)
endif(BUILD_TESTS)

=== debian/changelog ===
hdf5-blosc (0.0~git20220616.9683f7d-5build3) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 10:56:45 +0000

hdf5-blosc (0.0~git20220616.9683f7d-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:47 +1100

hdf5-blosc (0.0~git20220616.9683f7d-5build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 17:56:22 +0000

hdf5-blosc (0.0~git20220616.9683f7d-5) unstable; urgency=medium

  * Added Provides/Conflict/Replaces for the old name hdf5-plugin-zfp.
    Closes: #1030028

 -- Enrico Zini <enrico@debian.org>  Tue, 31 Jan 2023 16:31:46 +0100

hdf5-blosc (0.0~git20220616.9683f7d-4) unstable; urgency=medium

  * Renamed binary package to hdf5-filter-plugin-blosc-serial to follow
    https://salsa.debian.org/science-team/h5f-packaging-guidelines
  * Added simple autopkgtest
  * Moved project to science-team group, updated Vcs-* headers accordingly

 -- Enrico Zini <enrico@debian.org>  Sun, 29 Jan 2023 11:44:56 +0100

hdf5-blosc (0.0~git20220616.9683f7d-3) unstable; urgency=medium

  * adapt install path of plugin

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 28 Nov 2022 19:07:18 +0100

hdf5-blosc (0.0~git20220616.9683f7d-2) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 18 Nov 2022 19:35:05 +0000

hdf5-blosc (0.0~git20220616.9683f7d-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Nov 2022 22:45:05 +0000

=== debian/control ===
Source: hdf5-blosc
Priority: optional
Section: science
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, pkgconf
	, libhdf5-dev
	, libblosc-dev
Homepage: https://github.com/Blosc/hdf5-blosc
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/hdf5-blosc
Vcs-Git: https://salsa.debian.org/science-team/hdf5-blosc.git

Package: hdf5-filter-plugin-blosc-serial
Provides: hdf5-filter-plugin-blosc
Conflicts: hdf5-filter-plugin-blosc
Replaces: hdf5-filter-plugin-blosc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: blocking, shuffling and lossless compression library
 This package contains a filter for HDF5 that uses the Blosc compressor.
 By installing this filter, you can read and write HDF5 files with
 Blosc-compressed datasets.

## hdf5-blosc 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 cmake_policy(SET CMP0074 NEW)
 project(blosc_hdf5)
 include(ExternalProject)
+include(GNUInstallDirs)
 
 # options
 option(BUILD_TESTS
@@ -54,7 +55,7 @@
 
 # add blosc libraries
 add_library(blosc_shared SHARED IMPORTED)
-set_property(TARGET blosc_shared PROPERTY IMPORTED_LOCATION ${BLOSC_INSTALL_DIR}/lib/${CMAKE_SHARED_LIBRARY_PREFIX}blosc${CMAKE_SHARED_LIBRARY_SUFFIX})
+set_property(TARGET blosc_shared PROPERTY IMPORTED_LOCATION ${BLOSC_INSTALL_DIR}/${CMAKE_INSTALL_LIBDIR}/${CMAKE_SHARED_LIBRARY_PREFIX}blosc${CMAKE_SHARED_LIBRARY_SUFFIX})
 add_dependencies(blosc_shared project_blosc)
 include_directories(${BLOSC_INSTALL_DIR}/include)

=== debian/changelog ===
hdf5-blosc (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Configure with -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (closes: #1112986).

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Sep 2025 13:32:51 +0100

hdf5-blosc (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Use upstream tags now that they exist.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Mar 2025 11:37:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hdf5-blosc
 Priority: optional
 Section: science
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
+Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13)
 	, cmake
 	, pkgconf

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk

# Enabling PIE globally doesn't work, but ./configure already enables PIE
# where necessary.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export PLUGIN_DIR=$(shell $(PKG_CONFIG) hdf5-serial  --variable=PluginDir)

# as needed is the default now and is just needed for backports
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=cmake -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DPLUGIN_INSTALL_PATH=$(PLUGIN_DIR)

=== debian/tests/control ===
Test-Command: python3 -c 'import sys, h5py; sys.exit(not h5py.h5z.filter_avail(32001))'
Depends: python3, python3-h5py, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/Blosc/hdf5-blosc/tags .*/v?(\d.*)@ARCHIVE_EXT@
